;=========================================================
;DirectDraw structures/values (many thanks to FASM example files)
;=========================================================
;IMPORTANT NOTE: DirectDraw calls involving DDSURFACEDESC-based structures
;must use sizeof.DDSURFACEDESC when using software mode and
;sizeof.DDSURFACEDESC2 when using hardware mode, or will return
;with invalid params error.


interface DirectDraw,\
	    QueryInterface,\
	    AddRef,\
	    Release,\
	    Compact,\
	    CreateClipper,\
	    CreatePalette,\
	    CreateSurface,\
	    DuplicateSurface,\
	    EnumDisplayModes,\
	    EnumSurfaces,\
	    FlipToGDISurface,\
	    GetCaps,\
	    GetDisplayMode,\
	    GetFourCCCodes,\
	    GetGDISurface,\
	    GetMonitorFrequency,\
	    GetScanLine,\
	    GetVerticalBlankStatus,\
	    Initialize,\
	    RestoreDisplayMode,\
	    SetCooperativeLevel,\
	    SetDisplayMode,\
	    WaitForVerticalBlank,\
	    GetAvailableVidMem,\
	    GetSurfaceFromDC,\
	    RestoreAllSurfaces,\
	    TestCooperativeLevel,\
	    GetDeviceIdentifier,\
	    StartModeTest,\
	    EvaluateMode

interface DirectDrawSurface,\
	    QueryInterface,\
	    AddRef,\
	    Release,\
	    AddAttachedSurface,\
	    AddOverlayDirtyRect,\
	    Blt,\
	    BltBatch,\
	    BltFast,\
	    DeleteAttachedSurface,\
	    EnumAttachedSurfaces,\
	    EnumOverlayZOrders,\
	    Flip,\
	    GetAttachedSurface,\
	    GetBltStatus,\
	    GetCaps,\
	    GetClipper,\
	    GetColorKey,\
	    GetDC,\
	    GetFlipStatus,\
	    GetOverlayPosition,\
	    GetPalette,\
	    GetPixelFormat,\
	    GetSurfaceDesc,\
	    Initialize,\
	    IsLost,\
	    Lock,\
	    ReleaseDC,\
	    Restore,\
	    SetClipper,\
	    SetColorKey,\
	    SetOverlayPosition,\
	    SetPalette,\
	    Unlock,\
	    UpdateOverlay,\
	    UpdateOverlayDisplay,\
	    UpdateOverlayZOrder,\
	    GetDDInterface,\
	    PageLock,\
	    PageUnlock,\
	    SetSurfaceDesc,\
	    SetPrivateData,\
	    GetPrivateData,\
	    FreePrivateData,\
	    GetUniquenessValue,\
	    ChangeUniquenessValue,\
	    SetPriority,\
	    GetPriority,\
	    SetLOD,\
	    GetLOD

DDLOCK_SURFACEMEMORYPTR   =	000000000h
DDLOCK_WAIT		  =	000000001h
DDLOCK_EVENT		  =	000000002h
DDLOCK_READONLY 	  =	000000010h
DDLOCK_WRITEONLY	  =	000000020h
DDLOCK_NOSYSLOCK	  =	000000800h

DDERR_WASSTILLDRAWING		  =	088760000h+540
DDERR_SURFACELOST		  =	088760000h+450

struct DDCOLORKEY
  dwColorSpaceLowValue	dd ?
  dwColorSpaceHighValue dd ?
ends

struct DDPIXELFORMAT
  dwSize	    dd ?
  dwFlags	    dd ?
  dwFourCC	    dd ?
 union
  dwRGBBitCount       dd ?
  dwYUVBitCount       dd ?
  dwZBufferBitDepth   dd ?
  dwAlphaBitDepth     dd ?
  dwLuminanceBitCount dd ?
  dwBumpBitCount      dd ?
 ends
 union
  dwRBitMask	      dd ?
  dwYBitMask	      dd ?
  dwStencilBitDepth   dd ?
  dwLuminanceBitMask  dd ?
  dwBumpDuBitMask     dd ?
 ends
 union
  dwGBitMask	      dd ?
  dwUBitMask	      dd ?
  dwZBitMask	      dd ?
  dwBumpDvBitMask     dd ?
 ends
 union
  dwBBitMask		 dd ?
  dwVBitMask		 dd ?
  dwStencilBitMask	 dd ?
  dwBumpLuminanceBitMask dd ?
 ends
 union
  dwRGBAlphaBitMask	  dd ?
  dwYUVAlphaBitMask	  dd ?
  dwLuminanceAlphaBitMask dd ?
  dwRGBZBitMask 	  dd ?
  dwYUVZBitMask 	  dd ?
 ends
ends

struct DDSCAPS
  dwCaps dd ?
ends

struct DDSCAPS2
	dwCaps	dd ?
	dwCaps2 dd ?
	dwCaps3 dd ?
	dwCaps4 dd ?
ends

struct DDSURFACEDESC2
	dwSize		  dd ?
	dwFlags 	  dd ?
	dwHeight	  dd ?
	dwWidth 	  dd ?
  union
	dwLinearSize	  dd ?
	lPitch		  dd ?
  ends
	dwBackBufferCount dd ?
  union
	dwZBufferBitDepth dd ?
	dwRefreshRate	  dd ?
	dwMipMapCount	  dd ?
  ends
	dwAlphaBitDepth   dd ?
	dwReserved	  dd ?
	lpSurface	  dd ?
	ddckCKDestOverlay DDCOLORKEY
	ddckCKDestBlt	  DDCOLORKEY
	ddckCKSrcOverlay  DDCOLORKEY
	ddckCKSrcBlt	  DDCOLORKEY
	ddpfPixelFormat   DDPIXELFORMAT
	ddsCaps 	  DDSCAPS2
	dwTextureStage	  dd ?
ends

struct DDSURFACEDESC
  dwSize	    dd ?
  dwFlags	    dd ?
  dwHeight	    dd ?
  dwWidth	    dd ?
 union
  lPitch	    dd ?
  dwLinearSize	    dd ?
 ends
  dwBackBufferCount dd ?
 union
  dwMipMapCount     dd ?
  dwZBufferBitDepth dd ?
  dwRefreshRate     dd ?
 ends
  dwAlphaBitDepth   dd ?
  dwReserved	    dd ?
  lpSurface	    dd ?
  ddckCKDestOverlay DDCOLORKEY
  ddckCKDestBlt     DDCOLORKEY
  ddckCKSrcOverlay  DDCOLORKEY
  ddckCKSrcBlt	    DDCOLORKEY
  ddpfPixelFormat   DDPIXELFORMAT
  ddsCaps	    DDSCAPS
ends

DDBLT_ALPHADEST 		 =     000000001h
DDBLT_ALPHADESTCONSTOVERRIDE	 =     000000002h
DDBLT_ALPHADESTNEG		 =     000000004h
DDBLT_ALPHADESTSURFACEOVERRIDE	 =     000000008h
DDBLT_ALPHAEDGEBLEND		 =     000000010h
DDBLT_ALPHASRC			 =     000000020h
DDBLT_ALPHASRCCONSTOVERRIDE	 =     000000040h
DDBLT_ALPHASRCNEG		 =     000000080h
DDBLT_ALPHASRCSURFACEOVERRIDE	 =     000000100h
DDBLT_ASYNC			 =     000000200h
DDBLT_COLORFILL 		 =     000000400h
DDBLT_DDFX			 =     000000800h
DDBLT_DDROPS			 =     000001000h
DDBLT_KEYDEST			 =     000002000h
DDBLT_KEYDESTOVERRIDE		 =     000004000h
DDBLT_KEYSRC			 =     000008000h
DDBLT_KEYSRCOVERRIDE		 =     000010000h
DDBLT_ROP			 =     000020000h
DDBLT_ROTATIONANGLE		 =     000040000h
DDBLT_ZBUFFER			 =     000080000h
DDBLT_ZBUFFERDESTCONSTOVERRIDE	 =     000100000h
DDBLT_ZBUFFERDESTOVERRIDE	 =     000200000h
DDBLT_ZBUFFERSRCCONSTOVERRIDE	 =     000400000h
DDBLT_ZBUFFERSRCOVERRIDE	 =     000800000h
DDBLT_WAIT			 =     001000000h
DDBLT_DEPTHFILL 		 =     002000000h


struct DDBLTFX		      ;(not from example)
	dwSize			 dd	  sizeof.DDBLTFX
	dwDDFX			 dd	  ?
	dwROP			 dd	  ?
	dwDDROP 		 dd	  ?
	dwRotationAngle 	 dd	  ?
	dwZBufferOpCode 	 dd	  ?
	dwZBufferLow		 dd	  ?
	dwZBufferHigh		 dd	  ?
	dwZBufferBaseDest	 dd	  ?
	dwZDestConstBitDepth	 dd	  ?
  union
	dwZDestConst		 dd	  ?
	lpDDSZBufferDest	 dd	  ?
  ends
	dwZSrcConstBitDepth	 dd	  ?
  union
	dwZSrcConst		 dd	  ?
	lpDDSZBufferSrc 	 dd	  ?
  ends

	dwAlphaEdgeBlendBitDepth dd	  ?
	dwAlphaEdgeBlend	 dd	  ?
	dwReserved		 dd	  ?
	dwAlphaDestConstBitDepth dd	  ?
  union
	dwAlphaDestConst	 dd	  ?
	lpDDSAlphaDest		 dd	  ?
  ends
	dwAlphaSrcConstBitDepth  dd	  ?
  union
	dwAlphaSrcConst 	 dd	  ?
	lpDDSAlphaSrc		 dd	  ?
  ends
  union
	dwFillColor		 dd	  ?
	dwFillDepth		 dd	  ?
	dwFillPixel		 dd	  ?
	lpDDSPattern		 dd	  ?
  ends
	ddckDestColorkey	 DDCOLORKEY
	ddckSrcColorkey 	 DDCOLORKEY
ends


  DDSCAPS_RESERVED1	      = 00000001h ;{ DDSCAPS_3D }
  DDSCAPS_ALPHA 	      = 00000002h
  DDSCAPS_BACKBUFFER	      = 00000004h
  DDSCAPS_COMPLEX	      = 00000008h
  DDSCAPS_FLIP		      = 00000010h
  DDSCAPS_FRONTBUFFER	      = 00000020h
  DDSCAPS_OFFSCREENPLAIN      = 00000040h
  DDSCAPS_OVERLAY	      = 00000080h
  DDSCAPS_PALETTE	      = 00000100h
  DDSCAPS_PRIMARYSURFACE      = 00000200h
  DDSCAPS_RESERVED3	      = 00000400h ;{ DDSCAPS_PRIMARYSURFACELEFT }
  DDSCAPS_SYSTEMMEMORY	      = 00000800h
  DDSCAPS_TEXTURE	      = 00001000h
  DDSCAPS_3DDEVICE	      = 00002000h
  DDSCAPS_VIDEOMEMORY	      = 00004000h
  DDSCAPS_VISIBLE	      = 00008000h
  DDSCAPS_WRITEONLY	      = 00010000h
  DDSCAPS_ZBUFFER	      = 00020000h
  DDSCAPS_OWNDC 	      = 00040000h
  DDSCAPS_LIVEVIDEO	      = 00080000h
  DDSCAPS_HWCODEC	      = 00100000h
  DDSCAPS_MODEX 	      = 00200000h
  DDSCAPS_MIPMAP	      = 00400000h
  DDSCAPS_RESERVED2	      = 00800000h
  DDSCAPS_ALLOCONLOAD	      = 04000000h
  DDSCAPS_VIDEOPORT	      = 08000000h
  DDSCAPS_LOCALVIDMEM	      = 10000000h
  DDSCAPS_NONLOCALVIDMEM      = 20000000h
  DDSCAPS_STANDARDVGAMODE     = 40000000h
  DDSCAPS_OPTIMIZED	      = 80000000h

;{ DirectDrawSurface Capability Flags 2 }

  DDSCAPS2_HARDWAREDEINTERLACE = 00000002h
  DDSCAPS2_HINTDYNAMIC	       = 00000004h
  DDSCAPS2_HINTSTATIC	       = 00000008h
  DDSCAPS2_TEXTUREMANAGE       = 00000010h
  DDSCAPS2_RESERVED1	       = 00000020h
  DDSCAPS2_RESERVED2	       = 00000040h
  DDSCAPS2_OPAQUE	       = 00000080h
  DDSCAPS2_HINTANTIALIASING    = 00000100h
  DDSCAPS2_CUBEMAP	       = 00000200h
  DDSCAPS2_CUBEMAP_POSITIVEX   = 00000400h
  DDSCAPS2_CUBEMAP_NEGATIVEX   = 00000800h
  DDSCAPS2_CUBEMAP_POSITIVEY   = 00001000h
  DDSCAPS2_CUBEMAP_NEGATIVEY   = 00002000h
  DDSCAPS2_CUBEMAP_POSITIVEZ   = 00004000h
  DDSCAPS2_CUBEMAP_NEGATIVEZ   = 00008000h

  DDSCAPS2_CUBEMAP_ALLFACES    = DDSCAPS2_CUBEMAP_POSITIVEX+DDSCAPS2_CUBEMAP_NEGATIVEX+\
    DDSCAPS2_CUBEMAP_POSITIVEY+DDSCAPS2_CUBEMAP_NEGATIVEY+\
    DDSCAPS2_CUBEMAP_POSITIVEZ+DDSCAPS2_CUBEMAP_NEGATIVEZ

  DDSCAPS2_MIPMAPSUBLEVEL      = 00010000h
  DDSCAPS2_D3DTEXTUREMANAGE    = 00020000h
  DDSCAPS2_DONOTPERSIST        = 00040000h
  DDSCAPS2_STEREOSURFACELEFT   = 00080000h

  DDENUMRET_CANCEL = 0
  DDENUMRET_OK	   = 1

  DDSD_CAPS		  = 00000001h
  DDSD_HEIGHT		  = 00000002h
  DDSD_WIDTH		  = 00000004h
  DDSD_PITCH		  = 00000008h
  DDSD_BACKBUFFERCOUNT	  = 00000020h
  DDSD_ZBUFFERBITDEPTH	  = 00000040h
  DDSD_ALPHABITDEPTH	  = 00000080h
  DDSD_LPSURFACE	  = 00000800h
  DDSD_PIXELFORMAT	  = 00001000h
  DDSD_CKDESTOVERLAY	  = 00002000h
  DDSD_CKDESTBLT	  = 00004000h
  DDSD_CKSRCOVERLAY	  = 00008000h
  DDSD_CKSRCBLT 	  = 00010000h
  DDSD_MIPMAPCOUNT	  = 00020000h
  DDSD_REFRESHRATE	  = 00040000h
  DDSD_LINEARSIZE	  = 00080000h
  DDSD_TEXTURESTAGE	  = 00100000h
  DDSD_FVF		  = 00200000h
  DDSD_SRCVBHANDLE	  = 00400000h
  DDSD_ALL		  = 007ff9eeh

  DDPF_ALPHAPIXELS	 = 00000001h
  DDPF_ALPHA		 = 00000002h
  DDPF_FOURCC		 = 00000004h
  DDPF_PALETTEINDEXED4	 = 00000008h
  DDPF_PALETTEINDEXEDTO8 = 00000010h
  DDPF_PALETTEINDEXED8	 = 00000020h
  DDPF_RGB		 = 00000040h
  DDPF_COMPRESSED	 = 00000080h
  DDPF_RGBTOYUV 	 = 00000100h
  DDPF_YUV		 = 00000200h
  DDPF_ZBUFFER		 = 00000400h
  DDPF_PALETTEINDEXED1	 = 00000800h
  DDPF_PALETTEINDEXED2	 = 00001000h
  DDPF_ZPIXELS		 = 00002000h
  DDPF_STENCILBUFFER	 = 00004000h
  DDPF_ALPHAPREMULT	 = 00008000h
  DDPF_LUMINANCE	 = 00020000h
  DDPF_BUMPLUMINANCE	 = 00040000h
  DDPF_BUMPDUDV 	 = 00080000h


  DDBLTFX_ARITHSTRETCHY    = 00000001
  DDBLTFX_MIRRORLEFTRIGHT  = 00000002
  DDBLTFX_MIRRORUPDOWN	   = 00000004
  DDBLTFX_NOTEARING	   = 00000008
  DDBLTFX_ROTATE180	   = 00000010
  DDBLTFX_ROTATE270	   = 00000020
  DDBLTFX_ROTATE90	   = 00000040
  DDBLTFX_ZBUFFERRANGE	   = 00000080
  DDBLTFX_ZBUFFERBASEDEST  = 00000100

  DDEDM_REFRESHRATES	   = 00000001




