;=================================================================
;TRESPASSER CLASS INTERFACES
;=================================================================
;These are the interfaces for most of the internal Trespasser                 
;classes. They designate the methods in the EXE's '.rdata' section            
;pointed to by the classes' unique VTable pointers (note: I often loosely     
;interchange the terms VTable and interface).                                 
;                                                                             
;The general form of these structures was generated automatically             
;by a separate utility. This utility was used to automatically                
;count the number of valid methods in an interface and find all               
;the VTable and method addresses in the P6 Pentium Pro 1.1 (v1.0.117)         
;Trespasser executable. All addresses designated here are valid               
;only for this executable. They are not directly used by ATX here;            
;they are needed only for labels and function differentiation.                
;Originally, all methods are labelled here as 'MethodXXXXXX' using            
;those addresses. To set a standard, any methods that are discovered          
;are renamed to reflect their function and dispense of the 'XXXXXX'           
;address; however, the P611 addresses are kept in comments.                   
;                                                                             
;All interfaces are named directly from their associated classes.             
;The names remain the same with the exception of an 'I' character             
;used as prefix ('I' = interface). The address found directly                 
;following an interface declaration (name) is the VTable (pointer)            
;for the associated class for the P611 executable.                            
;'interfaceendmember' is a dummy method used to satisfy the interface         
;macro without complicating the find and replace process.                     

struct ICBaseValue  ;006424D8h, 4 methods total
       Release					dd ? ;00401260h, 000h
       Unknown_0004				dd ? ;00491FB0h, 004h
       Unknown_0008				dd ? ;00491FD0h, 008h
       Unknown_000C				dd ? ;00492030h, 00Ch
ends

struct ICUICtrl  ;006424F4h, 21 methods total
       Release					dd ? ;00403240h, 000h
       Unknown_0004				dd ? ;00403270h, 004h
       Unknown_0008				dd ? ;00403230h, 008h
       Unknown_000C				dd ? ;00403270h, 00Ch
       Unknown_0010				dd ? ;004032A0h, 010h
       Unknown_0014				dd ? ;00403280h, 014h
       Unknown_0018				dd ? ;004032D0h, 018h
       Unknown_001C				dd ? ;004032E0h, 01Ch
       Unknown_0020				dd ? ;00403320h, 020h
       Unknown_0024				dd ? ;00403330h, 024h
       Unknown_0028				dd ? ;00403340h, 028h
       Unknown_002C				dd ? ;00403350h, 02Ch
       Unknown_0030				dd ? ;00403390h, 030h
       Unknown_0034				dd ? ;004033B0h, 034h
       Unknown_0038				dd ? ;004033D0h, 038h
       Unknown_003C				dd ? ;004033F0h, 03Ch
       Unknown_0040				dd ? ;00468A60h, 040h
       Unknown_0044				dd ? ;00403400h, 044h
       Unknown_0048				dd ? ;00403410h, 048h
       Unknown_004C				dd ? ;00403420h, 04Ch
       Unknown_0050				dd ? ;00403430h, 050h
ends

struct ICUICtrlCallback  ;00642710h, 17 methods total
       Release					dd ? ;00403DE0h, 000h
       Unknown_0004				dd ? ;00403DA0h, 004h
       Unknown_0008				dd ? ;00467120h, 008h
       Unknown_000C				dd ? ;0060E4E0h, 00Ch
       Unknown_0010				dd ? ;00403DA0h, 010h
       Unknown_0014				dd ? ;00403DB0h, 014h
       Unknown_0018				dd ? ;00467120h, 018h
       Unknown_001C				dd ? ;00467120h, 01Ch
       Unknown_0020				dd ? ;00403DC0h, 020h
       Unknown_0024				dd ? ;00467120h, 024h
       Unknown_0028				dd ? ;00467120h, 028h
       Unknown_002C				dd ? ;0060E4E0h, 02Ch
       Unknown_0030				dd ? ;0060E4E0h, 030h
       Unknown_0034				dd ? ;00403DD0h, 034h
       Unknown_0038				dd ? ;00467120h, 038h
       Unknown_003C				dd ? ;0060E4E0h, 03Ch
       Unknown_0040				dd ? ;0060E4E0h, 040h
ends

struct ICMultiBase  ;00642AC8h, 32 methods total
       Release					dd ? ;0040A560h, 000h
       Unknown_0004				dd ? ;00609110h, 004h
       Unknown_0008				dd ? ;00409EE0h, 008h
       Unknown_000C				dd ? ;00409F10h, 00Ch
       Unknown_0010				dd ? ;00409F30h, 010h
       Unknown_0014				dd ? ;0040A500h, 014h
       Unknown_0018				dd ? ;00409F50h, 018h
       Unknown_001C				dd ? ;00409F70h, 01Ch
       Unknown_0020				dd ? ;0040A070h, 020h
       Unknown_0024				dd ? ;0040A540h, 024h
       Unknown_0028				dd ? ;0040A090h, 028h
       Unknown_002C				dd ? ;0040A0B0h, 02Ch
       Unknown_0030				dd ? ;0040A0F0h, 030h
       Unknown_0034				dd ? ;0040A130h, 034h
       Unknown_0038				dd ? ;0040A150h, 038h
       Unknown_003C				dd ? ;0040A190h, 03Ch
       Unknown_0040				dd ? ;0040A1C0h, 040h
       Unknown_0044				dd ? ;0040A1E0h, 044h
       Unknown_0048				dd ? ;0040A200h, 048h
       Unknown_004C				dd ? ;0040A240h, 04Ch
       Unknown_0050				dd ? ;0040A260h, 050h
       Unknown_0054				dd ? ;0040A280h, 054h
       Unknown_0058				dd ? ;0040A2A0h, 058h
       Unknown_005C				dd ? ;0040A2C0h, 05Ch
       Unknown_0060				dd ? ;0040A2E0h, 060h
       Unknown_0064				dd ? ;0040A300h, 064h
       Unknown_0068				dd ? ;0040A330h, 068h
       Unknown_006C				dd ? ;0040A3A0h, 06Ch
       Unknown_0070				dd ? ;0040A3E0h, 070h
       Unknown_0074				dd ? ;0040A420h, 074h
       Unknown_0078				dd ? ;0040A460h, 078h
       Unknown_007C				dd ? ;0040A480h, 07Ch
ends

struct ICMessage  ;00642F14h, 7 methods total
       Release					dd ? ;0046CDC0h, 000h
       Unknown_0004				dd ? ;0040BC10h, 004h
       Unknown_0008				dd ? ;0040BC20h, 008h
       Unknown_000C				dd ? ;0040BC30h, 00Ch
       Unknown_0010				dd ? ;00468A60h, 010h
       Unknown_0014				dd ? ;005F0110h, 014h
       Send					dd ? ;00609110h, 018h
ends

struct ICErrorDlg  ;0064303Ch, 1 methods total
       Release					dd ? ;0040E6D0h, 000h
ends

struct ICMainWnd  ;00643048h, 1 methods total
       Release					dd ? ;0040EBE0h, 000h
ends

struct ICRefObj  ;006430C0h, 2 methods total
       Release					dd ? ;00454F90h, 000h
       Unknown_0004				dd ? ;0040FDC0h, 004h
ends

struct ICPartition  ;0064762Ch, 89 methods total
       Release					dd ? ;0044DE10h, 000h
       Unknown_0004				dd ? ;0045C6C0h, 004h
       Unknown_0008				dd ? ;0045D6B0h, 008h
       Unknown_000C				dd ? ;004672E0h, 00Ch
       Unknown_0010				dd ? ;00609110h, 010h
       Unknown_0014				dd ? ;00609110h, 014h
       Unknown_0018				dd ? ;00609110h, 018h
       Unknown_001C				dd ? ;00609110h, 01Ch
       Unknown_0020				dd ? ;00609110h, 020h
       Unknown_0024				dd ? ;00609110h, 024h
       Unknown_0028				dd ? ;00609110h, 028h
       Unknown_002C				dd ? ;00609110h, 02Ch
       Unknown_0030				dd ? ;0045C590h, 030h
       Unknown_0034				dd ? ;0046CEE0h, 034h
       Teleport 				dd ? ;0045A330h, 038h
       Unknown_003C				dd ? ;00471A30h, 03Ch
       Unknown_0040				dd ? ;00471A30h, 040h
       Unknown_0044				dd ? ;00471A30h, 044h
       Unknown_0048				dd ? ;00471A30h, 048h
       Unknown_004C				dd ? ;00471A30h, 04Ch
       Unknown_0050				dd ? ;00471A30h, 050h
       Unknown_0054				dd ? ;00471A30h, 054h
       Unknown_0058				dd ? ;00471A30h, 058h
       Unknown_005C				dd ? ;00471A30h, 05Ch
       Unknown_0060				dd ? ;00471A30h, 060h
       Unknown_0064				dd ? ;00471A30h, 064h
       Unknown_0068				dd ? ;00471A30h, 068h
       Unknown_006C				dd ? ;00471A30h, 06Ch
       Unknown_0070				dd ? ;00471A30h, 070h
       Unknown_0074				dd ? ;00471A30h, 074h
       Unknown_0078				dd ? ;00471A30h, 078h
       Unknown_007C				dd ? ;00471A30h, 07Ch
       Unknown_0080				dd ? ;00471A30h, 080h
       Unknown_0084				dd ? ;004685E0h, 084h
       Unknown_0088				dd ? ;00609110h, 088h
       Unknown_008C				dd ? ;00609110h, 08Ch
       Unknown_0090				dd ? ;00609110h, 090h
       Unknown_0094				dd ? ;0045A350h, 094h
       Unknown_0098				dd ? ;0045A4D0h, 098h
       Unknown_009C				dd ? ;0045A500h, 09Ch
       Unknown_00A0				dd ? ;004672E0h, 0A0h
       Unknown_00A4				dd ? ;0045A3C0h, 0A4h
       Unknown_00A8				dd ? ;0045A450h, 0A8h
       Unknown_00AC				dd ? ;005F3780h, 0ACh
       Unknown_00B0				dd ? ;0045A7C0h, 0B0h
       Unknown_00B4				dd ? ;0045A760h, 0B4h
       Unknown_00B8				dd ? ;0045B450h, 0B8h
       Unknown_00BC				dd ? ;0045A8A0h, 0BCh
       Unknown_00C0				dd ? ;0045A840h, 0C0h
       Unknown_00C4				dd ? ;0045A8D0h, 0C4h
       Unknown_00C8				dd ? ;00609110h, 0C8h
       Unknown_00CC				dd ? ;0045BC90h, 0CCh
       Unknown_00D0				dd ? ;0045AEB0h, 0D0h
       Unknown_00D4				dd ? ;0045AC70h, 0D4h
       Unknown_00D8				dd ? ;0045AF70h, 0D8h
       Unknown_00DC				dd ? ;0045B0E0h, 0DCh
       Unknown_00E0				dd ? ;0045B0F0h, 0E0h
       Unknown_00E4				dd ? ;0045B250h, 0E4h
       Unknown_00E8				dd ? ;0045B3C0h, 0E8h
       Unknown_00EC				dd ? ;005F3780h, 0ECh
       Unknown_00F0				dd ? ;0045B3E0h, 0F0h
       Unknown_00F4				dd ? ;0045B410h, 0F4h
       Unknown_00F8				dd ? ;004685E0h, 0F8h
       Unknown_00FC				dd ? ;004685D0h, 0FCh
       Unknown_0100				dd ? ;004685D0h, 100h
       Unknown_0104				dd ? ;004685D0h, 104h
       Unknown_0108				dd ? ;0045B590h, 108h
       Unknown_010C				dd ? ;0045B780h, 10Ch
       Unknown_0110				dd ? ;005EEDF0h, 110h
       Unknown_0114				dd ? ;0045B710h, 114h
       Unknown_0118				dd ? ;0045B600h, 118h
       Unknown_011C				dd ? ;0045B6B0h, 11Ch
       Unknown_0120				dd ? ;0045B8C0h, 120h
       Unknown_0124				dd ? ;0045BCD0h, 124h
       Unknown_0128				dd ? ;0045BD00h, 128h
       Unknown_012C				dd ? ;0045BEA0h, 12Ch
       Unknown_0130				dd ? ;0045BFD0h, 130h
       Unknown_0134				dd ? ;005ED720h, 134h
       Unknown_0138				dd ? ;0045BFE0h, 138h
       Unknown_013C				dd ? ;0045C120h, 13Ch
       Unknown_0140				dd ? ;0045C0C0h, 140h
       Unknown_0144				dd ? ;0045C130h, 144h
       Unknown_0148				dd ? ;0045C170h, 148h
       Unknown_014C				dd ? ;005EF330h, 14Ch
       Unknown_0150				dd ? ;0045C3B0h, 150h
       Unknown_0154				dd ? ;0045C410h, 154h
       Unknown_0158				dd ? ;0045DAD0h, 158h
       Unknown_015C				dd ? ;0045DCD0h, 15Ch
       Unknown_0160				dd ? ;0045DCE0h, 160h
ends

struct ICCAULoad  ;00645CE4h, 7 methods total
       Release					dd ? ;0041E090h, 000h
       Unknown_0004				dd ? ;00609110h, 004h
       Unknown_0008				dd ? ;00609110h, 008h
       Unknown_000C				dd ? ;00609110h, 00Ch
       Unknown_0010				dd ? ;00609110h, 010h
       Unknown_0014				dd ? ;00609110h, 014h
       Unknown_0018				dd ? ;00609110h, 018h
ends

struct ICRandom  ;006462C0h, 2 methods total
       Release					dd ? ;005DA660h, 000h
       Unknown_0004				dd ? ;005DA680h, 004h
ends

struct ICBoundVol  ;00646ED4h, 30 methods total
       Release					dd ? ;00458B60h, 000h
       Unknown_0004				dd ? ;00465F60h, 004h
       Unknown_0008				dd ? ;00403DB0h, 008h
       Unknown_000C				dd ? ;004BECB0h, 00Ch
       Unknown_0010				dd ? ;00609110h, 010h
       Unknown_0014				dd ? ;00609110h, 014h
       Unknown_0018				dd ? ;00609110h, 018h
       Unknown_001C				dd ? ;00609110h, 01Ch
       Unknown_0020				dd ? ;00609110h, 020h
       Unknown_0024				dd ? ;00466070h, 024h
       Unknown_0028				dd ? ;006316D0h, 028h
       Unknown_002C				dd ? ;00466060h, 02Ch
       Unknown_0030				dd ? ;00609110h, 030h
       Unknown_0034				dd ? ;00609110h, 034h
       Unknown_0038				dd ? ;00609110h, 038h
       Unknown_003C				dd ? ;00466040h, 03Ch
       Unknown_0040				dd ? ;00465FC0h, 040h
       Unknown_0044				dd ? ;0042E560h, 044h
       Unknown_0048				dd ? ;00609110h, 048h
       Unknown_004C				dd ? ;00609110h, 04Ch
       Unknown_0050				dd ? ;00609110h, 050h
       Unknown_0054				dd ? ;0042E5B0h, 054h
       Unknown_0058				dd ? ;00465F90h, 058h
       Unknown_005C				dd ? ;00403DB0h, 05Ch
       Unknown_0060				dd ? ;00403DB0h, 060h
       Unknown_0064				dd ? ;00403DB0h, 064h
       Unknown_0068				dd ? ;00403DB0h, 068h
       Unknown_006C				dd ? ;00403DB0h, 06Ch
       Unknown_0070				dd ? ;00403DB0h, 070h
       Unknown_0074				dd ? ;00403DB0h, 074h
ends

struct ICExpressionEvaluate  ;00647998h, 2 methods total
       Release					dd ? ;00450590h, 000h
       Unknown_0004				dd ? ;004505B0h, 004h
ends

struct ICProfileStat  ;00648758h, 4 methods total
       Release					dd ? ;00467130h, 000h
       Unknown_0004				dd ? ;00468A60h, 004h
       Unknown_0008				dd ? ;00467110h, 008h
       Unknown_000C				dd ? ;00467120h, 00Ch
ends

struct ICScreenRender  ;00648BB0h, 17 methods total
       Release					dd ? ;005431D0h, 000h
       Unknown_0004				dd ? ;00468A60h, 004h
       Unknown_0008				dd ? ;00471A30h, 008h
       Unknown_000C				dd ? ;00468A60h, 00Ch
       Unknown_0010				dd ? ;004685E0h, 010h
       Unknown_0014				dd ? ;004685E0h, 014h
       Unknown_0018				dd ? ;00468A60h, 018h
       Unknown_001C				dd ? ;00468A60h, 01Ch
       Unknown_0020				dd ? ;0051F2B0h, 020h
       Unknown_0024				dd ? ;0051F2E0h, 024h
       Unknown_0028				dd ? ;00467120h, 028h
       Unknown_002C				dd ? ;00471A40h, 02Ch
       Unknown_0030				dd ? ;0051F360h, 030h
       Unknown_0034				dd ? ;005EEDF0h, 034h
       Unknown_0038				dd ? ;00471A30h, 038h
       Unknown_003C				dd ? ;0051F330h, 03Ch
       Unknown_0040				dd ? ;005EEDF0h, 040h
ends

struct ICClipPlane  ;0064A71Ch, 6 methods total
       Release					dd ? ;00609110h, 000h
       Unknown_0004				dd ? ;00609110h, 004h
       Unknown_0008				dd ? ;0051F530h, 008h
       Unknown_000C				dd ? ;0051F780h, 00Ch
       Unknown_0010				dd ? ;00609110h, 010h
       Unknown_0014				dd ? ;0051FD10h, 014h
ends

struct ICPixelFormat  ;00649EDCh, 3 methods total
       Release					dd ? ;004F3370h, 000h
       Unknown_0004				dd ? ;004F33C0h, 004h
       Unknown_0008				dd ? ;004F3410h, 008h
ends

struct ICMagnetPair  ;006496D8h, 17 methods total
       Release					dd ? ;004BEA70h, 000h
       Unknown_0004				dd ? ;004BEA60h, 004h
       Unknown_0008				dd ? ;004BEC60h, 008h
       Unknown_000C				dd ? ;004BED40h, 00Ch
       Unknown_0010				dd ? ;004BEE00h, 010h
       Unknown_0014				dd ? ;004BF000h, 014h
       Unknown_0018				dd ? ;004BF0B0h, 018h
       Unknown_001C				dd ? ;004BF110h, 01Ch
       Unknown_0020				dd ? ;004BF150h, 020h
       Unknown_0024				dd ? ;004BF260h, 024h
       Unknown_0028				dd ? ;004BF2D0h, 028h
       Unknown_002C				dd ? ;004BF3B0h, 02Ch
       Unknown_0030				dd ? ;004BF3D0h, 030h
       Unknown_0034				dd ? ;004BF3F0h, 034h
       Unknown_0038				dd ? ;004BF630h, 038h
       Unknown_003C				dd ? ;004BF640h, 03Ch
       Unknown_0040				dd ? ;004BF6B0h, 040h
ends

struct ICRasterPool  ;0064A1BCh, 1 methods total
       Release					dd ? ;004FA140h, 000h
ends

struct ICParticleBase  ;0064A68Ch, 3 methods total
       Release					dd ? ;00520910h, 000h
       Unknown_0004				dd ? ;00520920h, 004h
       Unknown_0008				dd ? ;00520A20h, 008h
ends

struct ICConsoleBuffer	;0064AD80h, 3 methods total
       Release					dd ? ;005DCC40h, 000h
       Unknown_0004				dd ? ;004672E0h, 004h
       Unknown_0008				dd ? ;005DCC30h, 008h
ends

struct ICInfo  ;0064B90Ch, 1 methods total
       Release					dd ? ;005F4D80h, 000h
ends

struct ICAnimationScript  ;0064BF5Ch, 2 methods total
       Release					dd ? ;00600D20h, 000h
       Unknown_0004				dd ? ;00600D50h, 004h
ends

struct Itype_info  ;0064C7F8h, 1 methods total
       Release					dd ? ;006090B0h, 000h
ends

struct ICSynthesizer  ;0064CA18h, 2 methods total
       Release					dd ? ;00612720h, 000h
       Unknown_0004				dd ? ;00612720h, 004h
ends

struct ICBrain	;0064CA34h, 2 methods total
       Release					dd ? ;006106E0h, 000h
       Unknown_0004				dd ? ;00610810h, 004h
ends

struct ICMentalState  ;0064CA44h, 2 methods total
       Release					dd ? ;00615240h, 000h
       Unknown_0004				dd ? ;00615260h, 004h
ends

struct ICActivity  ;0064CAB8h, 12 methods total
       Release					dd ? ;00617D50h, 000h
       Unknown_0004				dd ? ;0060E490h, 004h
       Unknown_0008				dd ? ;0060E4E0h, 008h
       Unknown_000C				dd ? ;00615A90h, 00Ch
       Unknown_0010				dd ? ;00615A50h, 010h
       Unknown_0014				dd ? ;00615D00h, 014h
       Unknown_0018				dd ? ;00615B80h, 018h
       Unknown_001C				dd ? ;00615CC0h, 01Ch
       Unknown_0020				dd ? ;00615D50h, 020h
       Unknown_0024				dd ? ;00615DD0h, 024h
       Unknown_0028				dd ? ;00616AB0h, 028h
       Unknown_002C				dd ? ;00616AE0h, 02Ch
ends

struct ICNodeSource  ;0064CB50h, 4 methods total
       Release					dd ? ;0061C950h, 000h
       Unknown_0004				dd ? ;0060F7D0h, 004h
       Unknown_0008				dd ? ;0061C8D0h, 008h
       Unknown_000C				dd ? ;0061C8E0h, 00Ch
ends

struct ICWorldView  ;0064CC7Ch, 2 methods total
       Release					dd ? ;00613A70h, 000h
       Unknown_0004				dd ? ;00613AE0h, 004h
ends

struct ICWaveData  ;0064F14Ch, 6 methods total
       Release					dd ? ;00609110h, 000h
       Unknown_0004				dd ? ;00609110h, 004h
       Unknown_0008				dd ? ;00633710h, 008h
       Unknown_000C				dd ? ;00609110h, 00Ch
       Unknown_0010				dd ? ;00609110h, 010h
       Unknown_0014				dd ? ;00633910h, 014h
ends

struct ICUIButton ICUICtrl ;0064254Ch, 24 methods total
       Unknown_0054				dd ? ;00403A10h, 054h
       Unknown_0058				dd ? ;00403630h, 058h
       Unknown_005C				dd ? ;00403A50h, 05Ch
ends

struct ICUIStatic ICUICtrl ;006425B0h, 21 methods total
ends

struct ICUICheckbox ICUICtrl ;00642758h, 23 methods total
       Unknown_0054				dd ? ;00405770h, 054h
       Unknown_0058				dd ? ;00405780h, 058h
ends

struct ICUITextbox ICUICtrl ;006427B8h, 42 methods total
       Unknown_0054				dd ? ;004064D0h, 054h
       Unknown_0058				dd ? ;004064D0h, 058h
       Unknown_005C				dd ? ;004686C0h, 05Ch
       Unknown_0060				dd ? ;00406200h, 060h
       Unknown_0064				dd ? ;00405BA0h, 064h
       Unknown_0068				dd ? ;00405BB0h, 068h
       Unknown_006C				dd ? ;004686B0h, 06Ch
       Unknown_0070				dd ? ;00405BE0h, 070h
       Unknown_0074				dd ? ;00405C10h, 074h
       Unknown_0078				dd ? ;00405C20h, 078h
       Unknown_007C				dd ? ;00405C50h, 07Ch
       Unknown_0080				dd ? ;00405C60h, 080h
       Unknown_0084				dd ? ;00405C90h, 084h
       Unknown_0088				dd ? ;00405CA0h, 088h
       Unknown_008C				dd ? ;00405CD0h, 08Ch
       Unknown_0090				dd ? ;00405CE0h, 090h
       Unknown_0094				dd ? ;00405D10h, 094h
       Unknown_0098				dd ? ;00405D20h, 098h
       Unknown_009C				dd ? ;00405D50h, 09Ch
       Unknown_00A0				dd ? ;00405D60h, 0A0h
       Unknown_00A4				dd ? ;00405DF0h, 0A4h
ends

struct ICUISlider ICUICtrl ;00642864h, 27 methods total
       Unknown_0054				dd ? ;00405D10h, 054h
       Unknown_0058				dd ? ;00406520h, 058h
       Unknown_005C				dd ? ;00405BA0h, 05Ch
       Unknown_0060				dd ? ;00406530h, 060h
       Unknown_0064				dd ? ;004686B0h, 064h
       Unknown_0068				dd ? ;00406BF0h, 068h
ends

struct ICUIEditbox ICUICtrl ;006428DCh, 37 methods total
       Unknown_0054				dd ? ;004077C0h, 054h
       Unknown_0058				dd ? ;00407840h, 058h
       Unknown_005C				dd ? ;004077B0h, 05Ch
       Unknown_0060				dd ? ;004077B0h, 060h
       Unknown_0064				dd ? ;00407200h, 064h
       Unknown_0068				dd ? ;00407270h, 068h
       Unknown_006C				dd ? ;00407280h, 06Ch
       Unknown_0070				dd ? ;00407290h, 070h
       Unknown_0074				dd ? ;00406D50h, 074h
       Unknown_0078				dd ? ;00406D60h, 078h
       Unknown_007C				dd ? ;00405C10h, 07Ch
       Unknown_0080				dd ? ;00406D80h, 080h
       Unknown_0084				dd ? ;00405CD0h, 084h
       Unknown_0088				dd ? ;00406DA0h, 088h
       Unknown_008C				dd ? ;00405C50h, 08Ch
       Unknown_0090				dd ? ;00406DC0h, 090h
ends

struct ICUIProgressBar ICUICtrl ;00642974h, 21 methods total
ends

struct ICUIHotspot ICUICtrl ;006429CCh, 21 methods total
ends

struct ICUIWnd ICUICtrlCallback ;00643EECh, 53 methods total
       Unknown_0044				dd ? ;00417500h, 044h
       Unknown_0048				dd ? ;00417510h, 048h
       Unknown_004C				dd ? ;00417640h, 04Ch
       Unknown_0050				dd ? ;00417790h, 050h
       Unknown_0054				dd ? ;004672E0h, 054h
       Unknown_0058				dd ? ;004176B0h, 058h
       Unknown_005C				dd ? ;004672E0h, 05Ch
       Unknown_0060				dd ? ;00417F70h, 060h
       Unknown_0064				dd ? ;00417F30h, 064h
       Unknown_0068				dd ? ;00417C70h, 068h
       Unknown_006C				dd ? ;00417E80h, 06Ch
       Unknown_0070				dd ? ;00417840h, 070h
       Unknown_0074				dd ? ;004181C0h, 074h
       Unknown_0078				dd ? ;004175A0h, 078h
       Unknown_007C				dd ? ;00417960h, 07Ch
       Unknown_0080				dd ? ;00417B50h, 080h
       Unknown_0084				dd ? ;00417AA0h, 084h
       Unknown_0088				dd ? ;00417C30h, 088h
       Unknown_008C				dd ? ;00417BD0h, 08Ch
       Unknown_0090				dd ? ;00417A70h, 090h
       Unknown_0094				dd ? ;00417A10h, 094h
       Unknown_0098				dd ? ;00403270h, 098h
       Unknown_009C				dd ? ;00418110h, 09Ch
       Unknown_00A0				dd ? ;00418180h, 0A0h
       Unknown_00A4				dd ? ;00417650h, 0A4h
       Unknown_00A8				dd ? ;00403400h, 0A8h
       Unknown_00AC				dd ? ;00418200h, 0ACh
       Unknown_00B0				dd ? ;00403270h, 0B0h
       Unknown_00B4				dd ? ;00403400h, 0B4h
       Unknown_00B8				dd ? ;00418210h, 0B8h
       Unknown_00BC				dd ? ;00418280h, 0BCh
       Unknown_00C0				dd ? ;00418200h, 0C0h
       Unknown_00C4				dd ? ;00418200h, 0C4h
       Unknown_00C8				dd ? ;005EEDF0h, 0C8h
       Unknown_00CC				dd ? ;004179B0h, 0CCh
       Unknown_00D0				dd ? ;004668A0h, 0D0h
ends

struct ICAudioPCM ICCAULoad ;00645D04h, 7 methods total
ends

struct ICAudioADPCM ICCAULoad ;006462A0h, 7 methods total
ends

struct ICBoundVolBox ICBoundVol ;00646E54h, 31 methods total
       Unknown_0078				dd ? ;004624A0h, 078h
ends

struct ICBoundVolSphere ICBoundVol ;00646F5Ch, 30 methods total
ends

struct ICAction ICRefObj ;006470E4h, 7 methods total
       MainProc 				dd ? ;00609110h, 008h
       Unknown_000C				dd ? ;00468A60h, 00Ch
       Unknown_0010				dd ? ;0044AA60h, 010h
       ReInitProc				dd ? ;004F2F80h, 014h
       Unknown_0018				dd ? ;004F2F80h, 018h
ends

struct ICBoundVolInfinite ICBoundVol ;00648628h, 30 methods total
ends

struct ICScreenRenderTerrain ICScreenRender ;00648B64h, 17 methods total
ends

struct ICProfileStatMain ICProfileStat ;00648D50h, 4 methods total
ends

struct ICPartitionSpace ICPartition ;00648DA8h, 89 methods total
ends

struct ICBoundVolPolyhedron ICBoundVol ;0064907Ch, 31 methods total
       Unknown_0078				dd ? ;00489C50h, 078h
ends

struct ICTexturePageManager ICRefObj ;00649148h, 2 methods total
ends

struct ICPackedRaster ICRefObj ;00649408h, 2 methods total
ends

struct ICBoolValue ICBaseValue ;0064932Ch, 4 methods total
ends

struct ICCharValue ICBaseValue ;00649340h, 4 methods total
ends

struct ICIntValue ICBaseValue ;00649354h, 4 methods total
ends

struct ICFloatValue ICBaseValue ;00649368h, 4 methods total
ends

struct ICStringValue ICBaseValue ;0064937Ch, 4 methods total
ends

struct ICObjectValue ICBaseValue ;00649390h, 4 methods total
ends

struct ICValueTable  ;006493A4h, 3 methods total
       Release					dd ? ;00492B40h, 000h
       Unknown_0004				dd ? ;00492BC0h, 004h
       Unknown_0008				dd ? ;00492CA0h, 008h
ends

struct ICPixelFormatBumpmap ICPixelFormat ;0064941Ch, 3 methods total
ends

struct ICBoundVolPoint ICBoundVol ;00649720h, 30 methods total
ends

struct ICPixelFormat4444 ICPixelFormat ;0064A0E8h, 3 methods total
ends

struct ICPixelFormat888 ICPixelFormat ;0064A0D8h, 3 methods total
ends

struct ICPixelFormatPalette ICPixelFormat ;0064A0F8h, 3 methods total
ends

struct ICPixelFormat555 ICPixelFormat ;0064A108h, 3 methods total
ends

struct ICPixelFormat565 ICPixelFormat ;0064A118h, 3 methods total
ends

struct ICTexture ICRefObj ;0064A4A4h, 2 methods total
ends

struct ICScreenRenderShadowLight ICScreenRender ;0064A500h, 17 methods total
ends

struct ICParticleFluid ICParticleBase ;0064A6ACh, 3 methods total
ends

struct ICParticleSolid ICParticleBase ;0064A6BCh, 3 methods total
ends

struct ICScheduleCache	;0064A854h, 3 methods total
       Release					dd ? ;0052B930h, 000h
       Unknown_0004				dd ? ;0052B950h, 004h
       Unknown_0008				dd ? ;0052BAA0h, 008h
ends

struct ICRenderCacheLRU  ;0064A864h, 1 methods total
       Release					dd ? ;0052BE00h, 000h
ends

struct ICRenderDescDWI	;0064AA68h, 1 methods total
       Release					dd ? ;00542C00h, 000h
ends

struct ICScreenRenderDWI ICScreenRender ;0064AABCh, 18 methods total
       Unknown_0044				dd ? ;00543180h, 044h
ends

struct ICTimerLocal  ;0064AD90h, 2 methods total
       Release					dd ? ;005DCE60h, 000h
       Unknown_0004				dd ? ;005DCE90h, 004h
ends

struct ICConsoleEx ICConsoleBuffer ;0064ADA0h, 4 methods total
       Unknown_000C				dd ? ;005DD0D0h, 00Ch
ends

struct ICMessageDelete ICMessage ;0064AE3Ch, 8 methods total
       Unknown_001C				dd ? ;005E6290h, 01Ch
ends

struct ICMessageCreate ICMessage ;0064AFD4h, 8 methods total
       Unknown_001C				dd ? ;005E8C70h, 01Ch
ends

struct ICAIInfo ICRefObj ;0064CA24h, 2 methods total
ends

struct ICActivityCompound ICActivity ;0064CA84h, 12 methods total
ends

struct ICTerrainKnowledge ICNodeSource ;0064CB20h, 4 methods total
ends

struct ICInfluence ICNodeSource ;0064CB34h, 6 methods total
       Unknown_0010				dd ? ;0061EC70h, 010h
       Unknown_0014				dd ? ;0061ECA0h, 014h
ends

struct ICAIGraph  ;0064CB64h, 8 methods total
       Release					dd ? ;00610FD0h, 000h
       Unknown_0004				dd ? ;00611A20h, 004h
       Unknown_0008				dd ? ;00611BD0h, 008h
       Unknown_000C				dd ? ;00611D70h, 00Ch
       Unknown_0010				dd ? ;00611430h, 010h
       Unknown_0014				dd ? ;00611A10h, 014h
       Unknown_0018				dd ? ;00612720h, 018h
       Unknown_001C				dd ? ;00611C30h, 01Ch
ends

struct ICNHInvalid  ;0064CB88h, 17 methods total
       Release					dd ? ;00610FB0h, 000h
       Unknown_0004				dd ? ;0061EF10h, 004h
       Unknown_0008				dd ? ;0061EF20h, 008h
       Unknown_000C				dd ? ;0046CEA0h, 00Ch
       Unknown_0010				dd ? ;00403DB0h, 010h
       Unknown_0014				dd ? ;0061EF40h, 014h
       Unknown_0018				dd ? ;00403DB0h, 018h
       Unknown_001C				dd ? ;00403DB0h, 01Ch
       Unknown_0020				dd ? ;00403DB0h, 020h
       Unknown_0024				dd ? ;00403DB0h, 024h
       Unknown_0028				dd ? ;00403DB0h, 028h
       Unknown_002C				dd ? ;00403DB0h, 02Ch
       Unknown_0030				dd ? ;00403DB0h, 030h
       Unknown_0034				dd ? ;00403DB0h, 034h
       Unknown_0038				dd ? ;004692A0h, 038h
       Unknown_003C				dd ? ;00403DB0h, 03Ch
       Unknown_0040				dd ? ;00403DB0h, 040h
ends

struct ICNHStop  ;0064CBE8h, 17 methods total
       Release					dd ? ;00611110h, 000h
       Unknown_0004				dd ? ;0060E4E0h, 004h
       Unknown_0008				dd ? ;0061EF20h, 008h
       Unknown_000C				dd ? ;0046CEA0h, 00Ch
       Unknown_0010				dd ? ;00403DB0h, 010h
       Unknown_0014				dd ? ;0061EF40h, 014h
       Unknown_0018				dd ? ;00403DB0h, 018h
       Unknown_001C				dd ? ;004692A0h, 01Ch
       Unknown_0020				dd ? ;00403DB0h, 020h
       Unknown_0024				dd ? ;00403DB0h, 024h
       Unknown_0028				dd ? ;00403DB0h, 028h
       Unknown_002C				dd ? ;00403DB0h, 02Ch
       Unknown_0030				dd ? ;00403DB0h, 030h
       Unknown_0034				dd ? ;00403DB0h, 034h
       Unknown_0038				dd ? ;00403DB0h, 038h
       Unknown_003C				dd ? ;00403DB0h, 03Ch
       Unknown_0040				dd ? ;00403DB0h, 040h
ends

struct ICNHStart  ;0064CC30h, 17 methods total
       Release					dd ? ;00611110h, 000h
       Unknown_0004				dd ? ;0060E4E0h, 004h
       Unknown_0008				dd ? ;0061EF20h, 008h
       Unknown_000C				dd ? ;0046CEA0h, 00Ch
       Unknown_0010				dd ? ;00403DB0h, 010h
       Unknown_0014				dd ? ;0061EF40h, 014h
       Unknown_0018				dd ? ;004692A0h, 018h
       Unknown_001C				dd ? ;00403DB0h, 01Ch
       Unknown_0020				dd ? ;00403DB0h, 020h
       Unknown_0024				dd ? ;00403DB0h, 024h
       Unknown_0028				dd ? ;00403DB0h, 028h
       Unknown_002C				dd ? ;00403DB0h, 02Ch
       Unknown_0030				dd ? ;00403DB0h, 030h
       Unknown_0034				dd ? ;00403DB0h, 034h
       Unknown_0038				dd ? ;00403DB0h, 038h
       Unknown_003C				dd ? ;00403DB0h, 03Ch
       Unknown_0040				dd ? ;00403DB0h, 040h
ends

struct ICPathAStar  ;0064CC90h, 4 methods total
       Release					dd ? ;00622A80h, 000h
       Unknown_0004				dd ? ;00622CB0h, 004h
       Unknown_0008				dd ? ;00622CC0h, 008h
       Unknown_000C				dd ? ;00622F90h, 00Ch
ends

struct ICActivityDistance ICActivity ;0064CCACh, 12 methods total
ends

struct ICActivityVocal ICActivity ;0064D110h, 12 methods total
ends

struct ICActivityGlare ICActivity ;0064CD14h, 12 methods total
ends

struct ICActivityCockHead ICActivity ;0064CD54h, 12 methods total
ends

struct ICActivityLookAround ICActivity ;0064CDECh, 12 methods total
ends

struct ICActivityRearBack ICActivity ;0064CE2Ch, 12 methods total
ends

struct ICActivityCower ICActivity ;0064CE6Ch, 12 methods total
ends

struct ICActivityNothing ICActivity ;0064CEBCh, 12 methods total
ends

struct ICActivityMoveHintWander ICActivity ;0064CF24h, 12 methods total
ends

struct ICActivityMoveCommandStayNear ICActivity ;0064CF60h, 12 methods total
ends

struct ICActivityMoveCommandStayAway ICActivity ;0064CF94h, 12 methods total
ends

struct ICActivityJumpBack ICActivity ;0064D030h, 12 methods total
ends

struct ICActivityGetOut ICActivity ;0064D064h, 12 methods total
ends

struct ICActivityBite ICActivity ;0064D1BCh, 13 methods total
       Unknown_0030				dd ? ;0061B020h, 030h
ends

struct ICActivityRam ICActivity ;0064D230h, 13 methods total
       Unknown_0030				dd ? ;0061B660h, 030h
ends

struct ICActivityPhased ICActivity ;0064D4CCh, 22 methods total
       Unknown_0030				dd ? ;005EEDF0h, 030h
       Unknown_0034				dd ? ;005EEDF0h, 034h
       Unknown_0038				dd ? ;00623950h, 038h
       Unknown_003C				dd ? ;00403270h, 03Ch
       Unknown_0040				dd ? ;00623980h, 040h
       Unknown_0044				dd ? ;00403270h, 044h
       Unknown_0048				dd ? ;006239B0h, 048h
       Unknown_004C				dd ? ;00403270h, 04Ch
       Unknown_0050				dd ? ;006239E0h, 050h
       Unknown_0054				dd ? ;00403270h, 054h
ends

struct ICNHInfluence  ;0064D394h, 17 methods total
       Release					dd ? ;0061F0C0h, 000h
       Unknown_0004				dd ? ;0061F0A0h, 004h
       Unknown_0008				dd ? ;0061F080h, 008h
       Unknown_000C				dd ? ;0061F120h, 00Ch
       Unknown_0010				dd ? ;0061F310h, 010h
       Unknown_0014				dd ? ;0061EF40h, 014h
       Unknown_0018				dd ? ;00403DB0h, 018h
       Unknown_001C				dd ? ;00403DB0h, 01Ch
       Unknown_0020				dd ? ;004692A0h, 020h
       Unknown_0024				dd ? ;00403DB0h, 024h
       Unknown_0028				dd ? ;00403DB0h, 028h
       Unknown_002C				dd ? ;00403DB0h, 02Ch
       Unknown_0030				dd ? ;00403DB0h, 030h
       Unknown_0034				dd ? ;00403DB0h, 034h
       Unknown_0038				dd ? ;00403DB0h, 038h
       Unknown_003C				dd ? ;00403DB0h, 03Ch
       Unknown_0040				dd ? ;00403DB0h, 040h
ends

struct ICNHNodeSource  ;0064D424h, 17 methods total
       Release					dd ? ;0061F0C0h, 000h
       Unknown_0004				dd ? ;0061F0A0h, 004h
       Unknown_0008				dd ? ;0061F240h, 008h
       Unknown_000C				dd ? ;0046CEA0h, 00Ch
       Unknown_0010				dd ? ;0061F310h, 010h
       Unknown_0014				dd ? ;0061EF40h, 014h
       Unknown_0018				dd ? ;00403DB0h, 018h
       Unknown_001C				dd ? ;00403DB0h, 01Ch
       Unknown_0020				dd ? ;00403DB0h, 020h
       Unknown_0024				dd ? ;00403DB0h, 024h
       Unknown_0028				dd ? ;00403DB0h, 028h
       Unknown_002C				dd ? ;00403DB0h, 02Ch
       Unknown_0030				dd ? ;00403DB0h, 030h
       Unknown_0034				dd ? ;00403DB0h, 034h
       Unknown_0038				dd ? ;00403DB0h, 038h
       Unknown_003C				dd ? ;004692A0h, 03Ch
       Unknown_0040				dd ? ;00403DB0h, 040h
ends

struct ICAStarAIGraph  ;0064D470h, 1 methods total
       Release					dd ? ;006236B0h, 000h
ends

struct ICNHRandom  ;0064D480h, 17 methods total
       Release					dd ? ;0061F320h, 000h
       Unknown_0004				dd ? ;0061EF10h, 004h
       Unknown_0008				dd ? ;0061EF20h, 008h
       Unknown_000C				dd ? ;0046CEA0h, 00Ch
       Unknown_0010				dd ? ;00403DB0h, 010h
       Unknown_0014				dd ? ;0061EF40h, 014h
       Unknown_0018				dd ? ;00403DB0h, 018h
       Unknown_001C				dd ? ;00403DB0h, 01Ch
       Unknown_0020				dd ? ;00403DB0h, 020h
       Unknown_0024				dd ? ;00403DB0h, 024h
       Unknown_0028				dd ? ;00403DB0h, 028h
       Unknown_002C				dd ? ;00403DB0h, 02Ch
       Unknown_0030				dd ? ;004692A0h, 030h
       Unknown_0034				dd ? ;00403DB0h, 034h
       Unknown_0038				dd ? ;00403DB0h, 038h
       Unknown_003C				dd ? ;00403DB0h, 03Ch
       Unknown_0040				dd ? ;00403DB0h, 040h
ends

struct ICBoundVolCamera ICBoundVol ;0064ECE0h, 32 methods total
       Unknown_0078				dd ? ;00609110h, 078h
       Unknown_007C				dd ? ;00609110h, 07Ch
ends

struct ICSimWave2D ICWaveData ;0064F168h, 7 methods total
       Unknown_0018				dd ? ;00633AB0h, 018h
ends

struct ICUIListbox ICUICtrl ;00642650h, 47 methods total
       Unknown_0054				dd ? ;004052A0h, 054h
       Unknown_0058				dd ? ;00403E30h, 058h
       Unknown_005C				dd ? ;00403E40h, 05Ch
       Unknown_0060				dd ? ;00403E50h, 060h
       Unknown_0064				dd ? ;00403E70h, 064h
       Unknown_0068				dd ? ;00403E80h, 068h
       Unknown_006C				dd ? ;00403EA0h, 06Ch
       Unknown_0070				dd ? ;00403EB0h, 070h
       Unknown_0074				dd ? ;00403ED0h, 074h
       Unknown_0078				dd ? ;00403EE0h, 078h
       Unknown_007C				dd ? ;00403F00h, 07Ch
       Unknown_0080				dd ? ;00403F10h, 080h
       Unknown_0084				dd ? ;00403F30h, 084h
       Unknown_0088				dd ? ;00403F40h, 088h
       Unknown_008C				dd ? ;00403F60h, 08Ch
       Unknown_0090				dd ? ;00403F70h, 090h
       Unknown_0094				dd ? ;00403F90h, 094h
       Unknown_0098				dd ? ;00403FA0h, 098h
       Unknown_009C				dd ? ;00403FC0h, 09Ch
       Unknown_00A0				dd ? ;00403FD0h, 0A0h
       Unknown_00A4				dd ? ;00403FF0h, 0A4h
       Unknown_00A8				dd ? ;00404000h, 0A8h
       Unknown_00AC				dd ? ;00404020h, 0ACh
       Unknown_00B0				dd ? ;00404030h, 0B0h
       Unknown_00B4				dd ? ;00404050h, 0B4h
       Unknown_00B8				dd ? ;00404060h, 0B8h
ends

struct ICConfigureWnd ICMultiBase ;00642A30h, 37 methods total
       Unknown_0080				dd ? ;00409500h, 080h
       Unknown_0084				dd ? ;00409520h, 084h
       Unknown_0088				dd ? ;00409550h, 088h
       Unknown_008C				dd ? ;0040AD80h, 08Ch
       Unknown_0090				dd ? ;0040ADB0h, 090h
ends

struct ICUIDlg ICUIWnd ;006435D0h, 57 methods total
       Unknown_00D4				dd ? ;0040B040h, 0D4h
       Unknown_00D8				dd ? ;0040B050h, 0D8h
       Unknown_00DC				dd ? ;0040B060h, 0DCh
       Unknown_00E0				dd ? ;0040B080h, 0E0h
ends

struct ICGameWnd ICUIWnd ;00642C3Ch, 53 methods total
ends

struct ICMessageSystem ICMessage ;00642D14h, 7 methods total
ends

struct ICRasterBase ICRefObj ;00649FC0h, 18 methods total
       Unknown_0008				dd ? ;00468A60h, 008h
       Unknown_000C				dd ? ;004685E0h, 00Ch
       Unknown_0010				dd ? ;00468A60h, 010h
       Unknown_0014				dd ? ;00403DB0h, 014h
       Unknown_0018				dd ? ;0040FDD0h, 018h
       Unknown_001C				dd ? ;0046CEE0h, 01Ch
       Unknown_0020				dd ? ;00468A60h, 020h
       Unknown_0024				dd ? ;004672E0h, 024h
       Unknown_0028				dd ? ;004EDFB0h, 028h
       Unknown_002C				dd ? ;0046CEE0h, 02Ch
       Unknown_0030				dd ? ;005F3780h, 030h
       Unknown_0034				dd ? ;004685E0h, 034h
       Unknown_0038				dd ? ;005EEDF0h, 038h
       Unknown_003C				dd ? ;004672E0h, 03Ch
       Unknown_0040				dd ? ;004672E0h, 040h
       Unknown_0044				dd ? ;0040FDE0h, 044h
ends

struct ICVideoWnd ICUIWnd ;00643FC8h, 53 methods total
ends

struct ICInstance ICPartition ;00647490h, 102 methods total
       Unknown_0164				dd ? ;005F5820h, 164h
       Unknown_0168				dd ? ;005F58D0h, 168h
       Unknown_016C				dd ? ;005F8560h, 16Ch
       UseObject				dd ? ;0045DCD0h, 170h
       Unknown_0174				dd ? ;004672E0h, 174h
       Unknown_0178				dd ? ;005EF340h, 178h
       Unknown_017C				dd ? ;005EF340h, 17Ch
       Unknown_0180				dd ? ;004685E0h, 180h
       Unknown_0184				dd ? ;005F7D50h, 184h
       Unknown_0188				dd ? ;005EEDF0h, 188h
       Unknown_018C				dd ? ;004672E0h, 18Ch
       Unknown_0190				dd ? ;004672E0h, 190h
       Unknown_0194				dd ? ;0041AA00h, 194h
ends

struct ICMessageAudio ICMessage ;00645A8Ch, 7 methods total
ends

struct ICRenderType ICRefObj ;006488ACh, 12 methods total
       Unknown_0008				dd ? ;00609110h, 008h
       Unknown_000C				dd ? ;00609110h, 00Ch
       Unknown_0010				dd ? ;00465390h, 010h
       Unknown_0014				dd ? ;00465390h, 014h
       Unknown_0018				dd ? ;00468590h, 018h
       Unknown_001C				dd ? ;00468590h, 01Ch
       Unknown_0020				dd ? ;00468590h, 020h
       Unknown_0024				dd ? ;00468590h, 024h
       Unknown_0028				dd ? ;00468740h, 028h
       Unknown_002C				dd ? ;004685D0h, 02Ch
ends

struct ICMessagePickUp ICMessage ;00646E2Ch, 8 methods total
       Unknown_001C				dd ? ;0042C550h, 01Ch
ends

struct ICMessagePhysicsReq ICMessage ;00647004h, 8 methods total
       Unknown_001C				dd ? ;00438EE0h, 01Ch
ends

struct ICMessageUse ICMessage ;00647028h, 8 methods total
       Unknown_001C				dd ? ;00438EB0h, 01Ch
ends

struct ICMessagePaint ICMessage ;006470A0h, 8 methods total
       Unknown_001C				dd ? ;0044A320h, 01Ch
ends

struct ICSetAIAction ICAction ;006470C4h, 7 methods total
ends

struct ICWakeAIAction ICAction ;00647104h, 7 methods total
ends

struct ICSetPhysicsAction ICAction ;00647124h, 7 methods total
ends

struct ICSubstituteMeshAction ICAction ;00647144h, 7 methods total
ends

struct ICMagnetAction ICAction ;00647164h, 7 methods total
ends

struct ICAnimateTextureAction ICAction ;00647184h, 7 methods total
ends

struct ICHideShowAction ICAction ;006471A4h, 7 methods total
ends

struct ICSetHintAction ICAction ;006471C4h, 7 methods total
ends

struct ICSubstituteAIAction ICAction ;006471E4h, 7 methods total
ends

struct ICEndGameAction ICAction ;00647204h, 7 methods total
ends

struct ICControlPlayerAction ICAction ;00647224h, 7 methods total
ends

struct ICAISystemAction ICAction ;00647244h, 7 methods total
ends

struct ICWaterDisturbanceAction ICAction ;00647264h, 7 methods total
ends

struct ICMessageTrigger ICMessage ;006479A4h, 8 methods total
       Unknown_001C				dd ? ;0044F4E0h, 01Ch
ends

struct ICVoiceOverAction ICAction ;006479E8h, 7 methods total
ends

struct ICAmbientAction ICAction ;00647A0Ch, 7 methods total
ends

struct ICMusicAction ICAction ;00647A2Ch, 7 methods total
ends

struct ICFadeMusicAction ICAction ;00647A4Ch, 7 methods total
ends

struct ICShowOverlayAction ICAction ;00647A6Ch, 7 methods total
ends

struct ICSetFogAction ICAction ;00647A8Ch, 7 methods total
ends

struct ICSetTerrainAction ICAction ;00647AACh, 7 methods total
ends

struct ICSetSortAction ICAction ;00647ACCh, 7 methods total
ends

struct ICSetRendererAction ICAction ;00647AECh, 7 methods total
ends

struct ICSetImageCacheAction ICAction ;00647B14h, 7 methods total
ends

struct ICSetSkyAction ICAction ;00647B34h, 7 methods total
ends

struct ICSetAlphaWaterAction ICAction ;00647B5Ch, 7 methods total
ends

struct ICWaterOnOffAction ICAction ;00647B7Ch, 7 methods total
ends

struct ICLoadLevelAction ICAction ;00647B9Ch, 7 methods total
ends

struct ICSaveLevelAction ICAction ;00647BBCh, 7 methods total
ends

struct ICSetAnimatePropertiesAction ICAction ;00647BDCh, 7 methods total
ends

struct ICTeleportAction ICAction ;00647BFCh, 7 methods total
ends

struct ICSoundEffectAction ICAction ;00647C24h, 7 methods total
ends

struct ICDelayAction ICAction ;00647C44h, 7 methods total
ends

struct ICScriptedAnimationAction ICAction ;00647C64h, 7 methods total
ends

struct ICSetVariableTriggerAction ICAction ;00647C84h, 7 methods total
ends

struct ICAudioEnvironmentAction ICAction ;00647CA4h, 7 methods total
ends

struct ICTextAction ICAction ;00647CC4h, 7 methods total
ends

struct ICPhysicsInfo ICRefObj ;00648390h, 36 methods total
       Unknown_0008				dd ? ;00458A30h, 008h
       Unknown_000C				dd ? ;0060E4E0h, 00Ch
       Unknown_0010				dd ? ;00458A80h, 010h
       Unknown_0014				dd ? ;00458B80h, 014h
       Unknown_0018				dd ? ;00467110h, 018h
       Unknown_001C				dd ? ;00467120h, 01Ch
       Unknown_0020				dd ? ;0046CEA0h, 020h
       Unknown_0024				dd ? ;0046CEA0h, 024h
       Unknown_0028				dd ? ;00458B90h, 028h
       Unknown_002C				dd ? ;00458C10h, 02Ch
       Unknown_0030				dd ? ;00458C10h, 030h
       Unknown_0034				dd ? ;00467110h, 034h
       Unknown_0038				dd ? ;0060E4E0h, 038h
       Unknown_003C				dd ? ;004CD740h, 03Ch
       Unknown_0040				dd ? ;00403DD0h, 040h
       Unknown_0044				dd ? ;0060E4E0h, 044h
       Unknown_0048				dd ? ;00458C50h, 048h
       Unknown_004C				dd ? ;00458D70h, 04Ch
       Unknown_0050				dd ? ;00458C60h, 050h
       Unknown_0054				dd ? ;00458C70h, 054h
       Unknown_0058				dd ? ;00458C80h, 058h
       Unknown_005C				dd ? ;00458CD0h, 05Ch
       Unknown_0060				dd ? ;00467110h, 060h
       Unknown_0064				dd ? ;00458D20h, 064h
       Unknown_0068				dd ? ;00458D30h, 068h
       Unknown_006C				dd ? ;00458D30h, 06Ch
       Unknown_0070				dd ? ;00458D40h, 070h
       Unknown_0074				dd ? ;00458D50h, 074h
       Unknown_0078				dd ? ;00403DB0h, 078h
       Unknown_007C				dd ? ;00403DB0h, 07Ch
       Unknown_0080				dd ? ;00403DB0h, 080h
       Unknown_0084				dd ? ;00403DB0h, 084h
       Unknown_0088				dd ? ;00403DB0h, 088h
       Unknown_008C				dd ? ;00403DB0h, 08Ch
ends

struct ITPartitionListChild  ;006486C0h, 2 methods total
       Release					dd ? ;0045A690h, 000h
       Unknown_0004				dd ? ;0045E1A0h, 004h
ends

struct ICPartitionSpaceQuery ICPartitionSpace ;00648F10h, 89 methods total
ends

struct ICPage ICPackedRaster ;00649154h, 2 methods total
ends

struct ICMessageMove ICMessage ;00649304h, 8 methods total
       Unknown_001C				dd ? ;0048C960h, 01Ch
ends

struct ICParticleDust ICParticleSolid ;0064A69Ch, 3 methods total
ends

struct ICMessageStep ICMessage ;0064ADF0h, 9 methods total
       Unknown_001C				dd ? ;005E4600h, 01Ch
       Unknown_0020				dd ? ;005E4660h, 020h
ends

struct ICMessageCollision ICMessage ;0064AE18h, 8 methods total
       Unknown_001C				dd ? ;005E5AB0h, 01Ch
ends

struct ITPartitionList	;0064AFF8h, 2 methods total
       Release					dd ? ;005FCD70h, 000h
       Unknown_0004				dd ? ;005FCAB0h, 004h
ends

struct ICMessageDamage ICMessage ;0064B274h, 8 methods total
       Unknown_001C				dd ? ;005EE5A0h, 01Ch
ends

struct ICMessageDeath ICMessage ;0064B250h, 8 methods total
       Unknown_001C				dd ? ;005EE570h, 01Ch
ends

struct ICActivityExclusive ICActivityCompound ;0064CA50h, 12 methods total
ends

struct ICActivityDOSubBrain ICActivityCompound ;0064CAECh, 12 methods total
ends

struct ICActivitySniffAir ICActivityVocal ;0064CDA4h, 12 methods total
ends

struct ICActivityMoveCommandToward ICActivityDistance ;0064CEF0h, 12 methods total
ends

struct ICActivityPursue ICActivityDistance ;0064CFC8h, 12 methods total
ends

struct ICActivityFlee ICActivityDistance ;0064CFFCh, 12 methods total
ends

struct ICActivityApproach ICActivityDistance ;0064D098h, 12 methods total
ends

struct ICActivityMoveBy ICActivityDistance ;0064D0DCh, 12 methods total
ends

struct ICActivityVocalSnarl ICActivityVocal ;0064D154h, 12 methods total
ends

struct ICActivityVocalCroon ICActivityVocal ;0064D188h, 12 methods total
ends

struct ICActivityFeint ICActivityBite ;0064D1F8h, 13 methods total
ends

struct ICActivityEat ICActivityPhased ;0064D26Ch, 22 methods total
ends

struct ICActivityDrink ICActivityPhased ;0064D2C8h, 22 methods total
ends

struct ICActivityTailSwipe ICActivityPhased ;0064D324h, 23 methods total
       Unknown_0058				dd ? ;0061C120h, 058h
ends

struct ICNHInfluenceSurface ICNHInfluence ;0064D3DCh, 17 methods total
ends

struct ICSimWaveVar2D ICSimWave2D ;0064F194h, 7 methods total
ends

struct ICRenderWnd ICUIDlg ;00642B4Ch, 57 methods total
ends

struct ICMsgDlg ICUIDlg ;00643DF8h, 59 methods total
       Unknown_00E4				dd ? ;0040C3F0h, 0E4h
       Unknown_00E8				dd ? ;0046D790h, 0E8h
ends

struct ICControlsWnd ICUIDlg ;00642F38h, 57 methods total
ends

struct ICRaster ICRasterBase ;00649F54h, 26 methods total
       Unknown_0048				dd ? ;004EE2C0h, 048h
       Unknown_004C				dd ? ;005EF340h, 04Ch
       Unknown_0050				dd ? ;004EE160h, 050h
       Unknown_0054				dd ? ;0040FDF0h, 054h
       Unknown_0058				dd ? ;004EE240h, 058h
       Unknown_005C				dd ? ;004EE1E0h, 05Ch
       Unknown_0060				dd ? ;004EE110h, 060h
       Unknown_0064				dd ? ;0040FE10h, 064h
ends

struct ICLoadGameWnd ICUIDlg ;006430D0h, 57 methods total
ends

struct ICSaveGameWnd ICUIDlg ;006432A8h, 57 methods total
ends

struct ICMainScreenWnd ICUIDlg ;006436B8h, 57 methods total
ends

struct ICLoaderWnd ICUIDlg ;006437A0h, 57 methods total
ends

struct ICDirectLoadWnd ICUIDlg ;00643888h, 57 methods total
ends

struct ICQuitWnd ICUIDlg ;00643970h, 57 methods total
ends

struct ICOptionsWnd ICUIDlg ;00643A58h, 57 methods total
ends

struct ICInGameOptionsWnd ICUIDlg ;00643B40h, 57 methods total
ends

struct ICAudioWnd ICUIDlg ;00643C28h, 57 methods total
ends

struct ICHintWnd ICUIDlg ;00643D10h, 57 methods total
ends

struct ICEntity ICInstance ;006464C4h, 125 methods total
       Unknown_0198				dd ? ;00467120h, 198h
       Unknown_019C				dd ? ;00467120h, 19Ch
       Unknown_01A0				dd ? ;00467120h, 1A0h
       CMessageDamageHandler			dd ? ;00467120h, 1A4h
       Unknown_01A8				dd ? ;00467120h, 1A8h
       CMessageMoveHandler			dd ? ;00467120h, 1ACh
       CMessageDeleteHandler			dd ? ;00467120h, 1B0h
       CMessageCreateHandler			dd ? ;00467120h, 1B4h
       Unknown_01B8				dd ? ;00467120h, 1B8h
       CMessageDeathHandler			dd ? ;00467120h, 1BCh
       CMessageUseHandler			dd ? ;00467120h, 1C0h
       CMessagePickUpHandler			dd ? ;00467120h, 1C4h
       CMessagePaintHandler			dd ? ;00467120h, 1C8h
       Unknown_01CC				dd ? ;00467120h, 1CCh
       CMessageTriggerHandler			dd ? ;00467120h, 1D0h
       CMessageCollisionHandler 		dd ? ;00467120h, 1D4h
       Unknown_01D8				dd ? ;00467120h, 1D8h
       CMessagePhysicsReqHandler		dd ? ;00467120h, 1DCh
       CMessageAudioHandler			dd ? ;00467120h, 1E0h
       Unknown_01E4				dd ? ;00467120h, 1E4h
       Unknown_01E8				dd ? ;00467120h, 1E8h
       CMessageControlHandler			dd ? ;00467120h, 1ECh
       CMessageStepHandler			dd ? ;00467120h, 1F0h
ends

struct ICMuzzleFlash ICInstance ;006466E4h, 102 methods total
ends

struct ICLight ICRenderType ;0064C5B0h, 17 methods total
       Unknown_0030				dd ? ;004685E0h, 030h
       Unknown_0034				dd ? ;004685E0h, 034h
       Unknown_0038				dd ? ;00467120h, 038h
       Unknown_003C				dd ? ;006084F0h, 03Ch
       Unknown_0040				dd ? ;00467120h, 040h
ends

struct ICPhysicsInfoTerrain ICPhysicsInfo ;006482FCh, 36 methods total
ends

struct ICShape ICRenderType ;00648834h, 29 methods total
       Unknown_0030				dd ? ;00609110h, 030h
       Unknown_0034				dd ? ;00609110h, 034h
       Unknown_0038				dd ? ;00609110h, 038h
       Unknown_003C				dd ? ;00609110h, 03Ch
       Unknown_0040				dd ? ;0048A300h, 040h
       Unknown_0044				dd ? ;0048A310h, 044h
       Unknown_0048				dd ? ;004672E0h, 048h
       Unknown_004C				dd ? ;004672E0h, 04Ch
       Unknown_0050				dd ? ;004672E0h, 050h
       Unknown_0054				dd ? ;004685E0h, 054h
       Unknown_0058				dd ? ;004685E0h, 058h
       Unknown_005C				dd ? ;0048A1C0h, 05Ch
       Unknown_0060				dd ? ;00468A60h, 060h
       Unknown_0064				dd ? ;004685F0h, 064h
       Unknown_0068				dd ? ;00609110h, 068h
       Unknown_006C				dd ? ;00609110h, 06Ch
       Unknown_0070				dd ? ;004672E0h, 070h
ends

struct ICTerrainObj ICInstance ;00649164h, 102 methods total
ends

struct ICInvisibleShape ICRenderType ;006493CCh, 12 methods total
ends

struct ICPhysicsInfoSkeleton ICPhysicsInfo ;00649BB4h, 40 methods total
       Unknown_0090				dd ? ;004D4920h, 090h
       Unknown_0094				dd ? ;005EEDF0h, 094h
       Unknown_0098				dd ? ;00609110h, 098h
       Unknown_009C				dd ? ;00609110h, 09Ch
ends

struct ICPhysicsInfoBox ICPhysicsInfo ;00649910h, 36 methods total
ends

struct ICPhysicsInfoCompound ICPhysicsInfo ;00649CBCh, 36 methods total
ends

struct ICMessageControl ICMessage ;0064AD48h, 7 methods total
ends

struct ICBoundaryBox ICInstance ;0064B298h, 102 methods total
ends

struct ICPhysicsInfoWater ICPhysicsInfo ;0064B670h, 36 methods total
ends

struct ICBackdrop ICInstance ;0064B924h, 102 methods total
ends

struct ICWDbQueryLights  ;0064BCD0h, 2 methods total
       Release					dd ? ;005FC600h, 000h
       Unknown_0004				dd ? ;00448CE0h, 004h
ends

struct ICWDbQueryPhysics  ;0064BCDCh, 2 methods total
       Release					dd ? ;005FC600h, 000h
       Unknown_0004				dd ? ;00448CE0h, 004h
ends

struct ICWDbQueryPhysicsMovable  ;0064BCE8h, 2 methods total
       Release					dd ? ;005FC600h, 000h
       Unknown_0004				dd ? ;00448CE0h, 004h
ends

struct ICWDbQueryPhysicsBoxFast  ;0064BCF4h, 2 methods total
       Release					dd ? ;005FC600h, 000h
       Unknown_0004				dd ? ;00448CE0h, 004h
ends

struct ICWDbQueryWater	;0064BD00h, 2 methods total
       Release					dd ? ;005FC3A0h, 000h
       Unknown_0004				dd ? ;005FCC10h, 004h
ends

struct ICWDbQueryAI  ;0064BD18h, 2 methods total
       Release					dd ? ;005FC600h, 000h
       Unknown_0004				dd ? ;00448CE0h, 004h
ends

struct ICWDbQueryActiveEntities  ;0064BD24h, 2 methods total
       Release					dd ? ;005FC9D0h, 000h
       Unknown_0004				dd ? ;005E6F60h, 004h
ends

struct ICActivitySniffTarget ICActivitySniffAir ;0064CCE0h, 12 methods total
ends

struct ICSocket ICInstance ;0064D758h, 102 methods total
ends

struct ICSimWater2D ICSimWaveVar2D ;0064F1B4h, 7 methods total
ends

struct ICYesNo ICMsgDlg ;00642D34h, 59 methods total
ends

struct ICRasterDC ICRaster ;00643054h, 26 methods total
ends

struct ICOKDlg ICMsgDlg ;00643390h, 59 methods total
ends

struct ICSubsystem ICEntity ;00645AACh, 128 methods total
       Unknown_01F4				dd ? ;00468A60h, 1F4h
       Unknown_01F8				dd ? ;00468A60h, 1F8h
       Unknown_01FC				dd ? ;00467120h, 1FCh
ends

struct ICGun ICEntity ;006462CCh, 125 methods total
ends

struct ICAnimate ICEntity ;0064B028h, 134 methods total
       Unknown_01F4				dd ? ;005ED110h, 1F4h
       Unknown_01F8				dd ? ;005EF070h, 1F8h
       Unknown_01FC				dd ? ;00428BC0h, 1FCh
       Unknown_0200				dd ? ;00428BE0h, 200h
       Unknown_0204				dd ? ;005EEE00h, 204h
       Unknown_0208				dd ? ;005ED710h, 208h
       Unknown_020C				dd ? ;00467110h, 20Ch
       Unknown_0210				dd ? ;005EF290h, 210h
       Unknown_0214				dd ? ;005EDB00h, 214h
ends

struct ICTrigger ICEntity ;00647798h, 127 methods total
       Unknown_01F4				dd ? ;0044F9B0h, 1F4h
       Unknown_01F8				dd ? ;0044FB10h, 1F8h
ends

struct ICLightAmbient ICLight ;0064AE70h, 17 methods total
ends

struct ICEntityWater ICEntity ;0064B704h, 128 methods total
       Unknown_01F4				dd ? ;005ED720h, 1F4h
       Unknown_01F8				dd ? ;005F40B0h, 1F8h
       Unknown_01FC				dd ? ;005F3790h, 1FCh
ends

struct ICFastHeap  ;00648770h, 1 methods total
       Release					dd ? ;0046E660h, 000h
ends

struct ICMesh ICShape ;006487A8h, 34 methods total
       Unknown_0074				dd ? ;0046CAD0h, 074h
       Unknown_0078				dd ? ;005EEDF0h, 078h
       Unknown_007C				dd ? ;004672E0h, 07Ch
       Unknown_0080				dd ? ;004672E0h, 080h
       Unknown_0084				dd ? ;00468730h, 084h
ends

struct ICMeshCache ICShape ;0064897Ch, 29 methods total
ends

struct ICPhysicsInfoHuman ICPhysicsInfoSkeleton ;00649844h, 40 methods total
ends

struct ICPhysicsInfoBiped ICPhysicsInfoSkeleton ;006499C4h, 40 methods total
ends

struct ICRasterVid ICRaster ;00649DE4h, 27 methods total
       Unknown_0068				dd ? ;004E7070h, 068h
ends

struct ICRasterMem ICRaster ;0064A00Ch, 26 methods total
ends

struct ICRasterD3D ICRaster ;0064A12Ch, 26 methods total
ends

struct ICEntityAttached ICEntity ;0064BAC0h, 125 methods total
ends

struct ICTeleport ICEntity ;0064B438h, 125 methods total
ends

struct ICBoundVolCameraParallel ICBoundVolCamera ;0064EF00h, 32 methods total
ends

struct ICBoundVolCameraParallelOpen ICBoundVolCamera ;0064F010h, 32 methods total
ends

struct ICWaterDisturbance ICEntity ;0064F1D4h, 125 methods total
ends

struct ICYesNoMsgDlg ICYesNo ;00642E24h, 59 methods total
ends

struct ICYesNoTextDlg ICYesNo ;006431B8h, 59 methods total
ends

struct ICMsgOkDlg ICOKDlg ;00643480h, 59 methods total
ends

struct ICRasterWin ICRasterVid ;00649E54h, 29 methods total
       Unknown_006C				dd ? ;004E89F0h, 06Ch
       Unknown_0070				dd ? ;004E8DC0h, 070h
ends

struct ICAudioDaemon ICSubsystem ;00645888h, 128 methods total
ends

struct ICPlayer ICAnimate ;00646BD8h, 148 methods total
       Unknown_0218				dd ? ;00609110h, 218h
       Unknown_021C				dd ? ;00609110h, 21Ch
       Unknown_0220				dd ? ;00609110h, 220h
       Unknown_0224				dd ? ;00609110h, 224h
       Unknown_0228				dd ? ;00609110h, 228h
       Unknown_022C				dd ? ;00609110h, 22Ch
       Unknown_0230				dd ? ;00609110h, 230h
       Unknown_0234				dd ? ;00609110h, 234h
       Unknown_0238				dd ? ;00609110h, 238h
       Unknown_023C				dd ? ;00609110h, 23Ch
       Unknown_0240				dd ? ;00609110h, 240h
       Unknown_0244				dd ? ;00609110h, 244h
       Unknown_0248				dd ? ;00609110h, 248h
       Unknown_024C				dd ? ;00609110h, 24Ch
ends

struct ICTextOverlay ICSubsystem ;0064728Ch, 128 methods total
ends

struct ICVariableTrigger ICTrigger ;006480FCh, 127 methods total
ends

struct ICDaemon ICSubsystem ;00647CE8h, 128 methods total
ends

struct ICVideoOverlay ICSubsystem ;00647EECh, 128 methods total
ends

struct ICTerrain ICSubsystem ;00648424h, 128 methods total
ends

struct ICCamera ICEntityAttached ;0064A210h, 129 methods total
       Unknown_01F4				dd ? ;00504640h, 1F4h
       Unknown_01F8				dd ? ;00504670h, 1F8h
       Unknown_01FC				dd ? ;00504690h, 1FCh
       Unknown_0200				dd ? ;005045E0h, 200h
ends

struct ICMeshAnimating ICMesh ;006489F4h, 34 methods total
ends

struct ICMeshPlanted ICMesh ;00648A84h, 34 methods total
ends

struct ICPhysicsSystem ICSubsystem ;00649448h, 130 methods total
       Unknown_0200				dd ? ;004B3E00h, 200h
       Unknown_0204				dd ? ;004B3E30h, 204h
ends

struct ICPhysicsInfoPlayer ICPhysicsInfoHuman ;006497A0h, 40 methods total
ends

struct ICPhysicsInfoQuadruped ICPhysicsInfoBiped ;00649A68h, 40 methods total
ends

struct ICLightDir ICLightAmbient ;0064AF8Ch, 17 methods total
ends

struct ICClipPlaneTolerance ICClipPlane ;0064A700h, 6 methods total
ends

struct ICShapeCache ICMeshCache ;0064A7D4h, 29 methods total
ends

struct ICInputDeemone ICSubsystem ;0064AB44h, 128 methods total
ends

struct ICMeshLightDir ICMesh ;0064AF00h, 34 methods total
ends

struct ICWDbQueryTerrainObj ITPartitionList ;0064BCB8h, 2 methods total
ends

struct ICAnimal ICAnimate ;0064BD30h, 134 methods total
ends

struct ICAnimations ICSubsystem ;0064BF68h, 128 methods total
ends

struct ICCameraPrime ICSubsystem ;0064C188h, 128 methods total
ends

struct ICRenderDB ICSubsystem ;0064C3ACh, 128 methods total
ends

struct ICEntityLight ICEntityAttached ;0064C600h, 125 methods total
ends

struct ICAISystem ICSubsystem ;0064C814h, 128 methods total
ends

struct ICBloodSplats ICSubsystem ;0064D554h, 128 methods total
ends

struct ICMoreMassTrigger ICTrigger ;0064D8F4h, 127 methods total
ends

struct ICObjectTrigger ICTrigger ;0064DAF4h, 127 methods total
ends

struct ICTimerTrigger ICTrigger ;0064DCF4h, 127 methods total
ends

struct ICBooleanTrigger ICTrigger ;0064DEF4h, 127 methods total
ends

struct ICSequenceTrigger ICTrigger ;0064E0F4h, 127 methods total
ends

struct ICCreatureTrigger ICTrigger ;0064E2F4h, 127 methods total
ends

struct ICStartTrigger ICTrigger ;0064E4F4h, 127 methods total
ends

struct ICCollisionTrigger ICTrigger ;0064E6F4h, 127 methods total
ends

struct ICLocationTrigger ICTrigger ;0064E8F4h, 127 methods total
ends

struct ICClipPlaneNull ICClipPlane ;0064F094h, 6 methods total
ends

struct ICAutoGrabber ICSubsystem ;0064F3D0h, 128 methods total
ends

struct ICPlayerPriv ICPlayer ;00646984h, 148 methods total
ends

struct ICBioMesh ICMeshAnimating ;0064EAF4h, 34 methods total
ends

struct ICLightDirectional ICLightDir ;0064AEB8h, 17 methods total
ends

struct ICSubBioMesh ICBioMesh ;0064EBC4h, 34 methods total
ends

struct ICShadowBuffer ICRasterMem ;0064A548h, 26 methods total
ends

struct ICBumpMap ICRasterMem ;0064A894h, 26 methods total
ends
