
;===========================================================
;PATH TRACES DRAWING/TIMING
;===========================================================

;===========================================================
DrawPlayerPathTraces:
;===========================================================
push ebp
mov ebp,esp
sub esp,16
push esi
push ebx

;edi = screen DC

	mov esi,[PT_positions.oldestnode]
	test esi,esi
	     jz DrawPlayerPathTraces_EXIT

	invoke LoadBitmap,[DLLHandle],102
	mov [ebp-4],eax
	invoke CreateCompatibleDC,edi
	mov [ebp-8],eax
	invoke SelectObject,eax,DWORD [ebp-4]

	DrawPlayerPathTraces_LOOP:

	fld DWORD [esi+sizeof.STDQUEUENODE+PTPOSINFO.x]
	fsub [anchorXvalue]	;substract top-corner X-anchor from Xposition
	fdiv [scaleXvalue]	;Xfloatdisplacement / (X float units/pixel) = # pixels (Xpos)
	fistp DWORD [ebp-16]	;convert to integer and store

	fld DWORD [esi+sizeof.STDQUEUENODE+PTPOSINFO.y]
	fsub [anchorYvalue]	;substract top-corner Y-anchor from Xposition
	fdiv [scaleYvalue]	;Yfloatdisplacement / (Y float units/pixel) = # pixels (Ypos)
	fistp DWORD [ebp-12]	;convert to integer and store

	xor ecx,ecx
	mov eax,[ebp-16]
	mov edx,[ebp-12]
	cmp eax,[bitmapwidth]
	    jnb DrawPlayerPathTraces_LOOP_SKIPPOSITION
	cmp edx,[bitmapheight]
	    jnb DrawPlayerPathTraces_LOOP_SKIPPOSITION
	cmp eax,ecx
	    jl DrawPlayerPathTraces_LOOP_SKIPPOSITION
	cmp edx,ecx
	    jl DrawPlayerPathTraces_LOOP_SKIPPOSITION

    ;position values within image
	add eax,(6-1)		;add: (map displacement in pixels) - (half of position trace size in pixels)
	add edx,(6-1)
	mov [ebp-16],eax
	mov [ebp-12],edx

    ;set color of temp bitmap
	mov ebx,[PT_color]

    ;CALCULATE COLOR BASED ON TIMING
	invoke GetTickCount
	sub eax,[esi+sizeof.STDQUEUENODE+PTPOSINFO.starttick]
	cmp eax,[PT_fadedelay]
	    jb @f	   ;not passed fade-away mark?

	mov ecx,[PT_msecsdisplayperpos]
	mov edx,ecx
	sub ecx,[PT_fadedelay]	 ;duration of fade
	sub edx,eax		 ;number of msecs left until disappears completely

	mov [esp-8],edx 	 ;number of msecs left for display
	mov [esp-4],ecx 	 ;duration of face
	fild DWORD [esp-8]
	fidiv DWORD [esp-4]

	mov eax,ebx
	mov ecx,ebx
	mov edx,ebx
	and eax,0FFh
	and ecx,0FF00h
	and edx,0FF0000h
	shr ecx,8
	shr edx,16
	mov [esp-4],eax
	mov [esp-8],ecx
	mov [esp-12],edx

	fild DWORD [esp-4]
	fmul st0,st1
	fistp DWORD [esp-4]
	fild DWORD [esp-8]
	fmul st0,st1
	fistp DWORD [esp-8]
	fild DWORD [esp-12]
	fmulp st1,st0
	fistp DWORD [esp-12]

	mov ebx,[esp-4]
	mov eax,[esp-8]
	mov edx,[esp-12]
	shl eax,8
	shl edx,16
	or ebx,eax
	or ebx,edx

	@@:

	invoke SetPixelV,[ebp-8],0,0,0
	invoke SetPixelV,[ebp-8],0,1,ebx
	invoke SetPixelV,[ebp-8],0,2,0
	invoke SetPixelV,[ebp-8],1,0,ebx
	invoke SetPixelV,[ebp-8],1,1,ebx
	invoke SetPixelV,[ebp-8],1,2,ebx
	invoke SetPixelV,[ebp-8],2,0,0
	invoke SetPixelV,[ebp-8],2,1,ebx
	invoke SetPixelV,[ebp-8],2,2,0

	invoke BitBlt,edi,[ebp-16],[ebp-12],3,3,[ebp-8],0,0,SRCPAINT

	DrawPlayerPathTraces_LOOP_SKIPPOSITION:

	mov esi,[esi+STDQUEUENODE.newernode]
	test esi,esi
	     jnz DrawPlayerPathTraces_LOOP

	invoke DeleteDC,DWORD [ebp-8]	;delete compatible DC
	invoke DeleteObject,DWORD [ebp-4]

DrawPlayerPathTraces_EXIT:

pop ebx
pop esi
mov esp,ebp
pop ebp
ret


;===========================================================
InitPlayerPathTraces:
;===========================================================
cmp [PT_enabled],0
    jz InitPlayerPathTraces_EXIT

	mov eax,[PT_maxpos]
	mov edx,sizeof.PTPOSINFO
	mov ecx,PT_positions
	call QUEUE_Reset

	mov [PT_runonce],0
InitPlayerPathTraces_EXIT:
ret


;===========================================================
ResetPlayerPathTraces:
;===========================================================
cmp [PT_enabled],0
    jz ResetPlayerPathTraces_EXIT

	xor eax,eax
	xor edx,edx
	mov ecx,PT_positions
	call QUEUE_Reset

	mov [PT_runonce],0
ResetPlayerPathTraces_EXIT:
ret


;===========================================================
CalcPlayerPathTracesRT:
;===========================================================

	cmp [PT_runonce],FALSE
	    jnz CalcPlayerPathTracesRT_True

	invoke GetTickCount
	mov [PT_lasttick],eax
	mov [PT_runonce],TRUE
	ret

CalcPlayerPathTracesRT_True:

push ebx
push esi

	invoke GetTickCount
	mov ebx,eax

	mov esi,[PT_positions.oldestnode]
	test esi,esi
	     jz CalcPlayerPathTracesRT_True_LOOP_EXIT

	CalcPlayerPathTracesRT_True_LOOP:
	mov ecx,ebx
	sub ecx,[esi+sizeof.STDQUEUENODE+PTPOSINFO.starttick]
	cmp ecx,[PT_msecsdisplayperpos]
	    jb CalcPlayerPathTracesRT_True_LOOP_EXIT
	mov esi,[esi+STDQUEUENODE.newernode]	     ;get newest node from current before current is deleted
	mov ecx,PT_positions
	call QUEUE_DeleteLast
	test esi,esi
	     jnz CalcPlayerPathTracesRT_True_LOOP

	CalcPlayerPathTracesRT_True_LOOP_EXIT:

	mov eax,ebx
	sub eax,[PT_lasttick]
	cmp eax,[PT_interval]
	    jb @f
	call CalcPlayerPathTracesRT_AddCurrentPos
	mov [PT_lasttick],ebx
	@@:

pop esi
pop ebx
ret

;===========================================================
CalcPlayerPathTracesRT_AddCurrentPos:
;===========================================================
;ebx = tick count
push esi

	GETPLAYERLOCADDR

	mov ecx,[eax]
	mov edx,[eax+4]
	mov [PT_tempvalues.x],ecx
	mov [PT_tempvalues.y],edx
	mov ecx,[eax+8]
	mov [PT_tempvalues.z],ecx
	mov [PT_tempvalues.starttick],ebx


;check if position already exists (via x-y)

	mov esi,[PT_positions.oldestnode]
	test esi,esi
	     jz CalcPlayerPathTracesRT_AddCurrentPos_DoAdd

	CalcPlayerPathTracesRT_AddCurrentPos_Loop:

	fld DWORD [esi+sizeof.STDQUEUENODE+PTPOSINFO.x]
	fsub [PT_tempvalues.x]
	fmul st0,st0
	fld DWORD [esi+sizeof.STDQUEUENODE+PTPOSINFO.y]
	fsub [PT_tempvalues.y]
	fmul st0,st0
	faddp st1,st0
	fcomp [PT_radiusexp2]
	fstsw ax
	test ah,1
	     jnz CalcPlayerPathTracesRT_AddCurrentPos_Exit

	mov esi,[esi+STDQUEUENODE.newernode]
	test esi,esi
	     jnz CalcPlayerPathTracesRT_AddCurrentPos_Loop

	CalcPlayerPathTracesRT_AddCurrentPos_DoAdd:


;add position

	mov ecx,PT_positions
	mov edx,PT_tempvalues
	call QUEUE_Add_Trunc

CalcPlayerPathTracesRT_AddCurrentPos_Exit:
pop esi
ret


